Runtime

## org.eclipse.gmf.runtime.diagram.core.providers
Class AbstractDiagramEventBrokerProvider

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.diagram.core.providers.AbstractDiagramEventBrokerProvider

All Implemented Interfaces:
  IProvider, DiagramEventBrokerProvider

    public abstract class AbstractDiagramEventBrokerProvider

extends AbstractProvider
implements DiagramEventBrokerProvider

The Diagram Event Broker Factory Interface This factory interface allows clients of the Diagram layer to provide Their own Diagram event broker instances.

Constructor Summary
`AbstractDiagramEventBrokerProvider()`

Method Summary
`abstract boolean` `provides(CreateDiagramEventBrokerOperation operation)` Indicates whether this provider provides the specified operation.
`boolean` `provides(IOperation operation)` Indicates whether this provider provides the specified operation.

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.diagram.core.providers.DiagramEventBrokerProvider
`createDiagramEventBroker`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Constructor Detail

### AbstractDiagramEventBrokerProvider

    public AbstractDiagramEventBrokerProvider()

Method Detail

### provides

    public boolean provides(IOperation operation)

  Description copied from interface: `IProvider`
  Indicates whether this provider provides the specified operation.

  Providers generally cast the operation to a service specific `IOperation`-derived class in order to determine whether they support the request.

  Specified by:
    `provides` in interface `IProvider`
  Parameters:
    `operation` - The operation in question.
  Returns:
    `true` if this provider provides the operation; `false` otherwise.

### provides

    public abstract boolean provides(CreateDiagramEventBrokerOperation operation)

  Indicates whether this provider provides the specified operation.

  Parameters:
    `operation` - The operation in question.
  Returns:
    `true` if this provider provides the operation; `false` otherwise.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.